use crate::types::Seg;

pub struct SegLump {
    pub segs: Vec<Seg>,
}

impl SegLump {
    pub fn get_num_segs(&self) -> usize {
        self.segs.len()
    }

    pub fn get_all_segs(&self) -> Vec<Seg> {
        self.segs.to_vec()
    }

    pub fn get_seg(&self, pos: usize) -> Seg {
        self.segs[pos].to_owned()
    }
}
